Package org.eclipse.cdt.utils.coff

## Class Coff64.SectionHeader

- java.lang.Object
- - org.eclipse.cdt.utils.coff.Coff64.SectionHeader

Enclosing class:
  Coff64

    public static class Coff64.SectionHeader
    extends Object

### Field Summary

Fields
`static String` `_BSS`
`static String` `_COMMENT`
`static String` `_DATA`
`static String` `_LIB`
`static String` `_TEXT`
`int` `s_flags`
`int` `s_lnnoptr`
`byte[]` `s_name`
`static int` `S_NEWFCN`
`int` `s_nlnno`
`int` `s_nreloc`
`int` `s_paddr`
`int` `s_relptr`
`int` `s_scnptr`
`static int` `S_SHRSEG`
`int` `s_size`
`int` `s_vaddr`
`static int` `SCNHSZ`
`static int` `STYP_BSS`
`static int` `STYP_COPY`
`static int` `STYP_DATA`
`static int` `STYP_DSECT`
`static int` `STYP_GROUP`
`static int` `STYP_INFO`
`static int` `STYP_LIB`
`static int` `STYP_LIT`
`static int` `STYP_MERGE`
`static int` `STYP_NOLOAD`
`static int` `STYP_OVER`
`static int` `STYP_PAD`
`static int` `STYP_REG`
`static int` `STYP_REVERSE_PAD`
`static int` `STYP_TEXT`

### Constructor Summary

Constructors
`SectionHeader​(RandomAccessFile file, long offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Coff64.Lineno[]` `getLinenos()`
`byte[]` `getRawData()`
`Coff64.Reloc[]` `getRelocs()`
`ByteBuffer` `mapSectionData()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SCNHSZ

    public static final int SCNHSZ

See Also:
  Constant Field Values

#### _TEXT

    public static final String _TEXT

See Also:
  Constant Field Values

#### _DATA

    public static final String _DATA

See Also:
  Constant Field Values

#### _BSS

    public static final String _BSS

See Also:
  Constant Field Values

#### _COMMENT

    public static final String _COMMENT

See Also:
  Constant Field Values

#### _LIB

    public static final String _LIB

See Also:
  Constant Field Values

#### STYP_REG

    public static final int STYP_REG

See Also:
  Constant Field Values

#### STYP_DSECT

    public static final int STYP_DSECT

See Also:
  Constant Field Values

#### STYP_NOLOAD

    public static final int STYP_NOLOAD

See Also:
  Constant Field Values

#### STYP_GROUP

    public static final int STYP_GROUP

See Also:
  Constant Field Values

#### STYP_PAD

    public static final int STYP_PAD

See Also:
  Constant Field Values

#### STYP_COPY

    public static final int STYP_COPY

See Also:
  Constant Field Values

#### STYP_TEXT

    public static final int STYP_TEXT

See Also:
  Constant Field Values

#### S_SHRSEG

    public static final int S_SHRSEG

See Also:
  Constant Field Values

#### STYP_DATA

    public static final int STYP_DATA

See Also:
  Constant Field Values

#### STYP_BSS

    public static final int STYP_BSS

See Also:
  Constant Field Values

#### S_NEWFCN

    public static final int S_NEWFCN

See Also:
  Constant Field Values

#### STYP_INFO

    public static final int STYP_INFO

See Also:
  Constant Field Values

#### STYP_OVER

    public static final int STYP_OVER

See Also:
  Constant Field Values

#### STYP_LIB

    public static final int STYP_LIB

See Also:
  Constant Field Values

#### STYP_MERGE

    public static final int STYP_MERGE

See Also:
  Constant Field Values

#### STYP_REVERSE_PAD

    public static final int STYP_REVERSE_PAD

See Also:
  Constant Field Values

#### STYP_LIT

    public static final int STYP_LIT

See Also:
  Constant Field Values

#### s_name

    public byte[] s_name

#### s_paddr

    public int s_paddr

#### s_vaddr

    public int s_vaddr

#### s_size

    public int s_size

#### s_scnptr

    public int s_scnptr

#### s_relptr

    public int s_relptr

#### s_lnnoptr

    public int s_lnnoptr

#### s_nreloc

    public int s_nreloc

#### s_nlnno

    public int s_nlnno

#### s_flags

    public int s_flags

### Constructor Detail

#### SectionHeader

    public SectionHeader​(RandomAccessFile file,
                         long offset)
                  throws IOException

Throws:
  `IOException`

### Method Detail

#### getRawData

    public byte[] getRawData()
                      throws IOException

Throws:
  `IOException`

#### getRelocs

    public Coff64.Reloc[] getRelocs()
                             throws IOException

Throws:
  `IOException`

#### getLinenos

    public Coff64.Lineno[] getLinenos()
                               throws IOException

Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### mapSectionData

    public ByteBuffer mapSectionData()
                              throws IOException

Throws:
  `IOException`
Since:
  5.1